Last modified: 2014-02-12 23:38:19 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 45941 - Punctuation incorrectly placed for English text in banners on right-to-left written wikis
Punctuation incorrectly placed for English text in banners on right-to-left w...
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
CentralNotice (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: rtl 28708
  Show dependency treegraph
 
Reported: 2013-03-09 18:32 UTC by Incarus
Modified: 2014-02-12 23:38 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Advertising on WP:FA (29.07 KB, image/png)
2013-03-09 19:15 UTC, Incarus
Details

Description Incarus 2013-03-09 18:32:56 UTC
Some advertisings seems to be broken on wikis like WP:FA,
see http://img831.imageshack.us/img831/2601/werbungwpfa.png
Comment 1 Incarus 2013-03-09 19:15:00 UTC
Created attachment 11902 [details]
Advertising on WP:FA
Comment 2 Tilman Bayer 2013-03-09 22:52:01 UTC
I have updated the banner in question with the Farsi translation [1]. This should have resolved the particular issue shown in the attachment, occurring when viewing fawiki with Farsi as user language, as the reporter appears to have. Any Meta admin could have done so, as described on the translation page linked from the banner [2].

As I understand it, the issue was not that the banner displayed in English (although of course it is preferable to have it available in the local language), but rather that the English banner displayed in a broken way - "?How should...", ".(Comment on proposals...", etc.
It's worth noting the English-language version of this banner displays fine on hewiki, another right-to-left wiki [3], when selecting English as user language. And on the other hand, for some reason selecting a specific banner does not seem to work at all to me on either fawiki [4] or arwiki [5]. Same for other banners, e.g. compare [6] and [7]. 

This suggests to me that this is a general issue with the display of banners in *some* RTL wikis, in particular when there is no local translation available and the CentralNotice fallback logic selects a LTR version to display, as it was the case here. I'll also note that there is an open bug which may be related [8].

Also, it is my understanding that Bugzilla is for fixes in the software running on Wikimedia sites, or their configuration, rather than for requesting content changes on these wikis (as in this case). In that regard, this bug is better understood as reporting a general problem. For these reasons, I am hesitant to claim the fame of having resolved this bug solely based on my wiki edits that fixed this particular banner. So I am resetting the assignee to default.


[1] https://meta.wikimedia.org/wiki/Special:NoticeTemplate/view?template=FDCpropreview20031&wpUserLanguage=fa

[2] https://meta.wikimedia.org/wiki/FDC_portal/CentralNotice2013-1 

[3] https://he.wikipedia.org/w/index.php?banner=FDCpropreview20031&uselang=en (note that you have to be logged in to see this and the other banner examples)

[4] https://fa.wikipedia.org/w/index.php?banner=FDCpropreview20031&uselang=en

[5] https://ar.wikipedia.org/w/index.php?banner=FDCpropreview20031&uselang=en

[6] https://ar.wikipedia.org/w/index.php?banner=IndivdualGrantsA

[7] https://he.wikipedia.org/w/index.php?banner=IndivdualGrantsA

[8] https://bugzilla.wikimedia.org/show_bug.cgi?id=21778 "BiDi issue in RTL wikis at site notice with LTR text ending with Unicode characters with neutral directional"
Comment 3 Andre Klapper 2013-03-11 02:44:19 UTC
(In reply to comment #2)
> This suggests to me that this is a general issue with the display of banners
> in *some* RTL wikis, in particular when there is no local translation available

Sidenote: The wrong placement of punctuation marks also happens in other [intentionally] unlocalized strings on RTL wikipages and is not specific to CentralNotice but probably lower in the core stack, e.g. my username "AKlapper (WMF)" is displayed as "(AKlapper (WMF" on https://he.wikipedia.org .
Comment 4 Tilman Bayer 2013-04-01 01:40:15 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > This suggests to me that this is a general issue with the display of banners
> > in *some* RTL wikis, in particular when there is no local translation available
> 
> Sidenote: The wrong placement of punctuation marks also happens in other
> [intentionally] unlocalized strings on RTL wikipages and is not specific to
> CentralNotice but probably lower in the core stack, e.g. my username
> "AKlapper
> (WMF)" is displayed as "(AKlapper (WMF" on https://he.wikipedia.org .
That looks similar to https://bugzilla.wikimedia.org/show_bug.cgi?id=45932 , btw.
Comment 5 Andre Klapper 2013-06-07 09:41:36 UTC
Bug 49255, bug 45941, bug 45932 might all have the same underlying reason. Anybody who knows the codebase better, feel free to mark as a duplicates.
Comment 6 Matt Walker 2013-08-09 01:40:29 UTC
I wonder if adding a <span lang=""></span> to banner messages would help... I shall try that at some point; writing down here so I dont forget.
Comment 7 Incarus 2013-08-09 08:35:06 UTC
As you can see in the screenshot above, not only brackets are affected by this issue @ Andre. I reverted your misleading changes back to the old.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links